動的フィールドマッピング

このページは機械翻訳により提供されています。翻訳内容と英語版に相違がある場合は、英語版が優先されます。

Dynamic field mappingエンドポイントを使用して、エンドカスタマー向けにカスタマイズされたユーザーエクスペリエンスを構築します。 Dynamic field mapping APIは、Dynamic field mappingの他の機能と連携して動作します。

ロールと権限

カスタマーワークスペースのAPIクライアントロールが、Dynamic field mappingエンドポイントを使用するようにスコープ設定されていることを確認する必要があります。

401 UNAUTHORIZED権限エラー

Dynamic field mappingエンドポイントに特定の権限を付与しない場合、カスタマーに401 unauthorizedエラーメッセージが表示されることがあります。

カスタマーワークスペースでDynamic field mappingの権限をスコープ設定するには、次の手順を完了します。

1

Workatoアカウントにサインインします。

2

ワークスペース管理者>APIクライアント>クライアントロールに移動します。

3

Data Mapper and Field maps introspectionセクションを見つけて展開します。

4

カスタマー権限を付与する予定のエンドポイントを選択します。

5

変更を保存をクリックします。

レート制限

Dynamic field mappingリソースには次のレート制限があります。

タイプリソース制限
すべてすべての動的フィールドマッピングエンドポイント1分あたり60リクエスト

クイックリファレンス

タイプリソース説明
GET/api/v2/managed_users/:managed_user_id
/recipes/:recipe_id/field_map_introspections
特定のレシピ内のすべてのフィールドマップイントロスペクションを一覧表示します。
GET/api/v2/managed_users/:managed_user_id
/recipes/:recipe_id/field_map_introspections/:id
特定のフィールドマップスキーマのフィールドマップイントロスペクションを一覧表示します。
PUT/api/v2/managed_users/:managed_user_id
/recipes/:recipe_id/field_map_introspections/:id
特定のフィールドマップスキーマのフィールドマッピングを更新します。
PUT/api/v2/managed_users/:managed_user_id
/recipes/:recipe_id/field_map_introspections
複数のフィールドマップスキーマのフィールドマッピングを更新します。
POST/api/v2/managed_users/:managed_user_id
/recipes/:recipe_id/field_map_introspections/:id
/refresh_schema
レシピのスキーマを更新してフィールドマップイントロスペクションを更新します。
POST/api/v2/managed_users/:managed_user_id
/recipes/:recipe_id/field_map_introspections/:id/pick_list
レシピのフィールドマップイントロスペクション内の特定フィールドのピックリスト値を取得します。

DYNAMIC FIELD MAPPING V2エンドポイントパス

すべてのDynamic field mappingエンドポイントは新しいv2パスを使用し、これはドキュメントに含まれています。 ベースURLは変更されていません。

レシピ内のすべてのフィールドマップイントロスペクションをリスト

shell
GET /api/v2/managed_users/:managed_user_id/recipes/:recipe_id/field_map_introspections

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。 External IDにはE(例:EA2300)のプレフィックスを付ける必要があり、生成されたIDはURLエンコードする必要があります。
recipe_idstring
必須
レシピのID。

サンプルリクエスト

shell
curl --location 'https://www.workato.com/api/v2/managed_users/4144204/recipes/51325710/field_map_introspections' \
--header 'Accept: */*' \
-H 'Authorization: Bearer <api_token>'

サンプルレスポンス

完全なサンプルレスポンス
json
{ "data": [ { "handle": "dm-ANMkcgHb-6oJ9bb", "sources": [ { "line_ref": "df955367", "provider": "workato_webhooks", "provider_title": "Webhooks", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/workato_webhooks-9ccda904e3e6216f3461e8b3b7a1b55de299de9923af2793e8a21d95f5af6a3c.svg", "step_title": "New event via webhook", "connection_name": "workato_webhooks", "full_output_schema": [ { "name": "headers", "type": "object", "label": "Headers", "path": [ "headers" ] }, { "name": "action", "type": "string", "label": "Action", "path": [ "payload", "action" ] }, { "name": "firstName", "type": "string", "label": "First name", "path": [ "payload", "data", "firstName" ] }, { "name": "lastName", "type": "string", "label": "Last name", "path": [ "payload", "data", "lastName" ] }, { "name": "company", "type": "string", "label": "Company", "path": [ "payload", "data", "company" ] }, { "name": "title", "type": "string", "label": "Title", "path": [ "payload", "data", "title" ] }, { "name": "email", "type": "string", "label": "Email", "path": [ "payload", "data", "email" ] }, { "name": "phone", "type": "string", "label": "Phone", "path": [ "payload", "data", "phone" ] }, { "name": "industry", "type": "string", "label": "Industry", "path": [ "payload", "data", "industry" ] }, { "name": "annualRevenue", "type": "float", "label": "Annual revenue", "path": [ "payload", "data", "annualRevenue" ] }, { "name": "numberOfEmployees", "type": "float", "label": "Number of employees", "path": [ "payload", "data", "numberOfEmployees" ] }, { "name": "leadSource", "type": "string", "label": "Lead source", "path": [ "payload", "data", "leadSource" ] }, { "name": "status", "type": "string", "label": "Status", "path": [ "payload", "data", "status" ] }, { "name": "rating", "type": "string", "label": "Rating", "path": [ "payload", "data", "rating" ] }, { "name": "street", "type": "string", "label": "Street", "path": [ "payload", "data", "address", "street" ] }, { "name": "city", "type": "string", "label": "City", "path": [ "payload", "data", "address", "city" ] }, { "name": "state", "type": "string", "label": "State", "path": [ "payload", "data", "address", "state" ] }, { "name": "postalCode", "type": "string", "label": "Postal code", "path": [ "payload", "data", "address", "postalCode" ] }, { "name": "country", "type": "string", "label": "Country", "path": [ "payload", "data", "address", "country" ] }, { "name": "customField1", "type": "string", "label": "Custom field 1", "path": [ "payload", "data", "customFields", "customField1" ] }, { "name": "customField2", "type": "string", "label": "Custom field 2", "path": [ "payload", "data", "customFields", "customField2" ] } ] } ], "target": { "line_ref": "cdcea058", "provider": "salesforce", "provider_title": "Salesforce", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/salesforce-2703300aadf896c0bbcabbaec1f352a7feaa85a02c80db9f359d986ba6d732cd.svg", "step_title": "Create Lead", "connection_name": "My third Salesforce account", "full_input_schema": [ { "name": "Company", "type": "string", "label": "Company", "required": true, "mapped_in_recipe": true, "path": [ "Company" ] }, { "name": "LastName", "type": "string", "label": "Last Name", "required": true, "mapped_in_recipe": true, "path": [ "LastName" ] }, { "name": "assignment_rule_id", "type": "string", "label": "Assignment rule ID", "hint": "Leave empty to apply default assignment rules; enter special value <b>false</b> to apply no rules; or pass in specific rule ID", "required": false, "mapped_in_recipe": false, "path": [ "assignment_rule_id" ] }, { "name": "AnnualRevenue", "type": "float", "label": "Annual Revenue", "required": false, "mapped_in_recipe": false, "path": [ "AnnualRevenue" ] }, { "name": "City", "type": "string", "label": "City", "required": false, "mapped_in_recipe": false, "path": [ "City" ] }, { "name": "CleanStatus", "type": "string", "label": "Clean Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_field": { "name": "CleanStatus", "type": "string", "label": "Clean Status", "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "CompanyDunsNumber", "type": "string", "label": "Company D-U-N-S Number", "required": false, "mapped_in_recipe": false, "path": [ "CompanyDunsNumber" ] }, { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_field": { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Country", "type": "string", "label": "Country", "required": false, "mapped_in_recipe": false, "path": [ "Country" ] }, { "name": "DandbCompanyId", "type": "string", "label": "D&B Company ID", "required": false, "mapped_in_recipe": false, "path": [ "DandbCompanyId" ] }, { "name": "Jigsaw", "type": "string", "label": "Data.com Key", "required": false, "mapped_in_recipe": false, "path": [ "Jigsaw" ] }, { "name": "Description", "type": "string", "label": "Description", "required": false, "mapped_in_recipe": false, "path": [ "Description" ] }, { "name": "Email", "type": "string", "label": "Email", "required": false, "mapped_in_recipe": false, "path": [ "Email" ] }, { "name": "NumberOfEmployees", "type": "integer", "label": "Employees", "required": false, "mapped_in_recipe": false, "path": [ "NumberOfEmployees" ] }, { "name": "Fax", "type": "string", "label": "Fax", "required": false, "mapped_in_recipe": false, "path": [ "Fax" ] }, { "name": "FirstName", "type": "string", "label": "First Name", "required": false, "mapped_in_recipe": false, "path": [ "FirstName" ] }, { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_field": { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "IndividualId", "type": "string", "label": "Individual ID", "required": false, "mapped_in_recipe": false, "path": [ "IndividualId" ] }, { "name": "Industry", "type": "string", "label": "Industry", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_field": { "name": "Industry", "type": "string", "label": "Industry", "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Latitude", "type": "float", "label": "Latitude", "required": false, "mapped_in_recipe": false, "path": [ "Latitude" ] }, { "name": "LeadSource", "type": "string", "label": "Lead Source", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_field": { "name": "LeadSource", "type": "string", "label": "Lead Source", "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Longitude", "type": "float", "label": "Longitude", "required": false, "mapped_in_recipe": false, "path": [ "Longitude" ] }, { "name": "MobilePhone", "type": "string", "label": "Mobile Phone", "required": false, "mapped_in_recipe": false, "path": [ "MobilePhone" ] }, { "name": "OwnerId", "type": "string", "label": "Owner ID", "required": false, "mapped_in_recipe": false, "path": [ "OwnerId" ] }, { "name": "Phone", "type": "string", "label": "Phone", "required": false, "mapped_in_recipe": false, "path": [ "Phone" ] }, { "name": "Rating", "type": "string", "label": "Rating", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_field": { "name": "Rating", "type": "string", "label": "Rating", "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Salutation", "type": "string", "label": "Salutation", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_field": { "name": "Salutation", "type": "string", "label": "Salutation", "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "State", "type": "string", "label": "State/Province", "required": false, "mapped_in_recipe": false, "path": [ "State" ] }, { "name": "Status", "type": "string", "label": "Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_field": { "name": "Status", "type": "string", "label": "Status", "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Street", "type": "string", "label": "Street", "required": false, "mapped_in_recipe": false, "path": [ "Street" ] }, { "name": "Title", "type": "string", "label": "Title", "required": false, "mapped_in_recipe": false, "path": [ "Title" ] }, { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_field": { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Website", "type": "string", "label": "Website", "required": false, "mapped_in_recipe": false, "path": [ "Website" ] }, { "name": "PostalCode", "type": "string", "label": "Zip/Postal Code", "required": false, "mapped_in_recipe": false, "path": [ "PostalCode" ] }, { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_field": { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "CurrentGenerators__c", "type": "string", "label": "Current Generator(s)", "required": false, "mapped_in_recipe": false, "path": [ "CurrentGenerators__c" ] }, { "name": "NumberofLocations__c", "type": "float", "label": "Number of Locations", "required": false, "mapped_in_recipe": false, "path": [ "NumberofLocations__c" ] }, { "name": "Primary__c", "type": "string", "label": "Primary", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_field": { "name": "Primary__c", "type": "string", "label": "Primary", "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_field": { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "SICCode__c", "type": "string", "label": "SIC Code", "required": false, "mapped_in_recipe": true, "path": [ "SICCode__c" ] }, { "name": "Survey_Response_1__c", "type": "string", "label": "Survey Response 1", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_1__c" ] }, { "name": "Survey_Response_2__c", "type": "string", "label": "Survey Response 2", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_2__c" ] }, { "name": "Survey_Response_3__c", "type": "string", "label": "Survey Response 3", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_3__c" ] }, { "name": "my_custom_field__c", "type": "string", "label": "my_custom_field", "required": false, "mapped_in_recipe": false, "path": [ "my_custom_field__c" ] } ] }, "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "email" ], "target_path": [ "Email" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "phone" ], "target_path": [ "MobilePhone" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "static", "value": "N/A", "target_path": [ "PostalCode" ] }, { "type": "static", "value": "Hot", "target_path": [ "Rating" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] } ] }

特定のフィールドマップスキーマのフィールドマップイントロスペクションをリスト

shell
GET /api/v2/managed_users/:managed_user_id/recipes/:recipe_id/field_map_introspections/:id

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。 External IDにはE(例:EA2300)のプレフィックスを付ける必要があり、生成されたIDはURLエンコードする必要があります。
recipe_idstring
必須
レシピのID。
idstring
必須
フィールドマップイントロスペクションID。

サンプルリクエスト

shell
curl --location 'https://www.workato.com/api/v2/managed_users/4144204/recipes/51325710/field_map_introspections/dm-ANMkcgHb-6oJ9bb' \
--header 'Accept: */*' \
-H 'Authorization: Bearer <api_token>'

サンプルレスポンス

完全なサンプルレスポンス
json
{ "data": { "handle": "dm-ANMkcgHb-6oJ9bb", "sources": [ { "line_ref": "df955367", "provider": "workato_webhooks", "provider_title": "Webhooks", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/workato_webhooks-9ccda904e3e6216f3461e8b3b7a1b55de299de9923af2793e8a21d95f5af6a3c.svg", "step_title": "New event via webhook", "connection_name": "workato_webhooks", "full_output_schema": [ { "name": "headers", "type": "object", "label": "Headers", "path": [ "headers" ] }, { "name": "action", "type": "string", "label": "Action", "path": [ "payload", "action" ] }, { "name": "firstName", "type": "string", "label": "First name", "path": [ "payload", "data", "firstName" ] }, { "name": "lastName", "type": "string", "label": "Last name", "path": [ "payload", "data", "lastName" ] }, { "name": "company", "type": "string", "label": "Company", "path": [ "payload", "data", "company" ] }, { "name": "title", "type": "string", "label": "Title", "path": [ "payload", "data", "title" ] }, { "name": "email", "type": "string", "label": "Email", "path": [ "payload", "data", "email" ] }, { "name": "phone", "type": "string", "label": "Phone", "path": [ "payload", "data", "phone" ] }, { "name": "industry", "type": "string", "label": "Industry", "path": [ "payload", "data", "industry" ] }, { "name": "annualRevenue", "type": "float", "label": "Annual revenue", "path": [ "payload", "data", "annualRevenue" ] }, { "name": "numberOfEmployees", "type": "float", "label": "Number of employees", "path": [ "payload", "data", "numberOfEmployees" ] }, { "name": "leadSource", "type": "string", "label": "Lead source", "path": [ "payload", "data", "leadSource" ] }, { "name": "status", "type": "string", "label": "Status", "path": [ "payload", "data", "status" ] }, { "name": "rating", "type": "string", "label": "Rating", "path": [ "payload", "data", "rating" ] }, { "name": "street", "type": "string", "label": "Street", "path": [ "payload", "data", "address", "street" ] }, { "name": "city", "type": "string", "label": "City", "path": [ "payload", "data", "address", "city" ] }, { "name": "state", "type": "string", "label": "State", "path": [ "payload", "data", "address", "state" ] }, { "name": "postalCode", "type": "string", "label": "Postal code", "path": [ "payload", "data", "address", "postalCode" ] }, { "name": "country", "type": "string", "label": "Country", "path": [ "payload", "data", "address", "country" ] }, { "name": "customField1", "type": "string", "label": "Custom field 1", "path": [ "payload", "data", "customFields", "customField1" ] }, { "name": "customField2", "type": "string", "label": "Custom field 2", "path": [ "payload", "data", "customFields", "customField2" ] } ] } ], "target": { "line_ref": "cdcea058", "provider": "salesforce", "provider_title": "Salesforce", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/salesforce-2703300aadf896c0bbcabbaec1f352a7feaa85a02c80db9f359d986ba6d732cd.svg", "step_title": "Create Lead", "connection_name": "My third Salesforce account", "full_input_schema": [ { "name": "Company", "type": "string", "label": "Company", "required": true, "mapped_in_recipe": true, "path": [ "Company" ] }, { "name": "LastName", "type": "string", "label": "Last Name", "required": true, "mapped_in_recipe": true, "path": [ "LastName" ] }, { "name": "assignment_rule_id", "type": "string", "label": "Assignment rule ID", "hint": "Leave empty to apply default assignment rules; enter special value <b>false</b> to apply no rules; or pass in specific rule ID", "required": false, "mapped_in_recipe": false, "path": [ "assignment_rule_id" ] }, { "name": "AnnualRevenue", "type": "float", "label": "Annual Revenue", "required": false, "mapped_in_recipe": false, "path": [ "AnnualRevenue" ] }, { "name": "City", "type": "string", "label": "City", "required": false, "mapped_in_recipe": false, "path": [ "City" ] }, { "name": "CleanStatus", "type": "string", "label": "Clean Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_field": { "name": "CleanStatus", "type": "string", "label": "Clean Status", "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "CompanyDunsNumber", "type": "string", "label": "Company D-U-N-S Number", "required": false, "mapped_in_recipe": false, "path": [ "CompanyDunsNumber" ] }, { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_field": { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Country", "type": "string", "label": "Country", "required": false, "mapped_in_recipe": false, "path": [ "Country" ] }, { "name": "DandbCompanyId", "type": "string", "label": "D&B Company ID", "required": false, "mapped_in_recipe": false, "path": [ "DandbCompanyId" ] }, { "name": "Jigsaw", "type": "string", "label": "Data.com Key", "required": false, "mapped_in_recipe": false, "path": [ "Jigsaw" ] }, { "name": "Description", "type": "string", "label": "Description", "required": false, "mapped_in_recipe": false, "path": [ "Description" ] }, { "name": "Email", "type": "string", "label": "Email", "required": false, "mapped_in_recipe": false, "path": [ "Email" ] }, { "name": "NumberOfEmployees", "type": "integer", "label": "Employees", "required": false, "mapped_in_recipe": false, "path": [ "NumberOfEmployees" ] }, { "name": "Fax", "type": "string", "label": "Fax", "required": false, "mapped_in_recipe": false, "path": [ "Fax" ] }, { "name": "FirstName", "type": "string", "label": "First Name", "required": false, "mapped_in_recipe": false, "path": [ "FirstName" ] }, { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_field": { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "IndividualId", "type": "string", "label": "Individual ID", "required": false, "mapped_in_recipe": false, "path": [ "IndividualId" ] }, { "name": "Industry", "type": "string", "label": "Industry", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_field": { "name": "Industry", "type": "string", "label": "Industry", "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Latitude", "type": "float", "label": "Latitude", "required": false, "mapped_in_recipe": false, "path": [ "Latitude" ] }, { "name": "LeadSource", "type": "string", "label": "Lead Source", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_field": { "name": "LeadSource", "type": "string", "label": "Lead Source", "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Longitude", "type": "float", "label": "Longitude", "required": false, "mapped_in_recipe": false, "path": [ "Longitude" ] }, { "name": "MobilePhone", "type": "string", "label": "Mobile Phone", "required": false, "mapped_in_recipe": false, "path": [ "MobilePhone" ] }, { "name": "OwnerId", "type": "string", "label": "Owner ID", "required": false, "mapped_in_recipe": false, "path": [ "OwnerId" ] }, { "name": "Phone", "type": "string", "label": "Phone", "required": false, "mapped_in_recipe": false, "path": [ "Phone" ] }, { "name": "Rating", "type": "string", "label": "Rating", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_field": { "name": "Rating", "type": "string", "label": "Rating", "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Salutation", "type": "string", "label": "Salutation", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_field": { "name": "Salutation", "type": "string", "label": "Salutation", "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "State", "type": "string", "label": "State/Province", "required": false, "mapped_in_recipe": false, "path": [ "State" ] }, { "name": "Status", "type": "string", "label": "Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_field": { "name": "Status", "type": "string", "label": "Status", "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Street", "type": "string", "label": "Street", "required": false, "mapped_in_recipe": false, "path": [ "Street" ] }, { "name": "Title", "type": "string", "label": "Title", "required": false, "mapped_in_recipe": false, "path": [ "Title" ] }, { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_field": { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Website", "type": "string", "label": "Website", "required": false, "mapped_in_recipe": false, "path": [ "Website" ] }, { "name": "PostalCode", "type": "string", "label": "Zip/Postal Code", "required": false, "mapped_in_recipe": false, "path": [ "PostalCode" ] }, { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_field": { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "CurrentGenerators__c", "type": "string", "label": "Current Generator(s)", "required": false, "mapped_in_recipe": false, "path": [ "CurrentGenerators__c" ] }, { "name": "NumberofLocations__c", "type": "float", "label": "Number of Locations", "required": false, "mapped_in_recipe": false, "path": [ "NumberofLocations__c" ] }, { "name": "Primary__c", "type": "string", "label": "Primary", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_field": { "name": "Primary__c", "type": "string", "label": "Primary", "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_field": { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "SICCode__c", "type": "string", "label": "SIC Code", "required": false, "mapped_in_recipe": true, "path": [ "SICCode__c" ] }, { "name": "Survey_Response_1__c", "type": "string", "label": "Survey Response 1", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_1__c" ] }, { "name": "Survey_Response_2__c", "type": "string", "label": "Survey Response 2", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_2__c" ] }, { "name": "Survey_Response_3__c", "type": "string", "label": "Survey Response 3", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_3__c" ] }, { "name": "my_custom_field__c", "type": "string", "label": "my_custom_field", "required": false, "mapped_in_recipe": false, "path": [ "my_custom_field__c" ] } ] }, "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "email" ], "target_path": [ "Email" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "phone" ], "target_path": [ "MobilePhone" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "static", "value": "N/A", "target_path": [ "PostalCode" ] }, { "type": "static", "value": "Hot", "target_path": [ "Rating" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] } }

フィールドマップイントロスペクションを更新

shell
PUT /api/v2/managed_users/:managed_user_id/recipes/:recipe_id/field_map_introspections/:id

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。 External IDにはE(例:EA2300)のプレフィックスを付ける必要があり、生成されたIDはURLエンコードする必要があります。
recipe_idstring
必須
レシピのID。
idstring
必須
フィールドマップイントロスペクションID。

ペイロード

名前タイプ説明
field_map_schemaarray 必須フィールドマップスキーマのリスト。
field_map_schema[type]文字列 必須フィールドマップスキーマのタイプ。 入力データをターゲットフィールドにマッピングする場合はmapを使用します。 入力データを変更せず未編集のままにする場合はstaticを使用します。 特定のユースケースでフィールドをnullに設定する必要がある場合はnullifyを使用します。 フィールドに値を渡さず、現在の値を変更しない場合はskipを使用します。
field_map_schema[source_line]文字列 必須sourcesリストのline_refの値。 レシピ別にフィールドマップイントロスペクションをリストおよびフィールドマップスキーマ別にフィールドマップイントロスペクションをリストエンドポイントのレスポンスに含まれます。
field_map_schema[source_provider]文字列 必須タイプがmapの場合は必須です。 sourcesリストのproviderの値。 レシピ別にフィールドマップイントロスペクションをリストまたはフィールドマップスキーマ別にフィールドマップイントロスペクションをリストエンドポイントのレスポンスに含まれます。
field_map_schema[source_path]文字列 必須タイプがmapの場合は必須です。 マッピング用のソースフィールドのパス。 このpathは、イントロスペクションレスポンスのsources[].full_output_schema[].pathまたはtargets[].full_input_schema[].pathで定義されます。 更新ペイロードでそのpathsource_pathとして含めます。 path値はステップのスキーマに応じてネストできます。
field_map_schema[value]string 任意静的マッピング用のターゲットの値。 タイプがstaticの場合は必須です。
field_map_schema[target_path]文字列 必須ターゲットフィールドのパス。 path値はステップのスキーマに応じてネストできます。
使用可能なペイロードのバリエーション
json
{ "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] }

サンプルリクエスト

shell
curl --location --request PUT 'https://www.workato.com/api/v2/managed_users/4144204/recipes/51325710/field_map_introspections/dm-ANMkcgHb-6oJ9bb' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
-H 'Authorization: Bearer <api_token>'
--data '{
  "field_map_schema": [
    {
        "type": "map",
        "source_provider": "workato_webhooks",
        "source_line": "df955367",
        "source_path": [
            "payload",
            "data",
            "firstName"
        ],
        "target_path": [
            "FirstName"
        ]
      },...
  ]
}'

サンプルレスポンス

完全なサンプルレスポンス
json
{ "data": { "handle": "dm-ANMkcgHb-6oJ9bb", "sources": [ { "line_ref": "df955367", "provider": "workato_webhooks", "provider_title": "Webhooks", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/workato_webhooks-9ccda904e3e6216f3461e8b3b7a1b55de299de9923af2793e8a21d95f5af6a3c.svg", "step_title": "New event via webhook", "connection_name": "workato_webhooks", "full_output_schema": [ { "name": "headers", "type": "object", "label": "Headers", "path": [ "headers" ] }, { "name": "action", "type": "string", "label": "Action", "path": [ "payload", "action" ] }, { "name": "firstName", "type": "string", "label": "First name", "path": [ "payload", "data", "firstName" ] }, { "name": "lastName", "type": "string", "label": "Last name", "path": [ "payload", "data", "lastName" ] }, { "name": "company", "type": "string", "label": "Company", "path": [ "payload", "data", "company" ] }, { "name": "title", "type": "string", "label": "Title", "path": [ "payload", "data", "title" ] }, { "name": "email", "type": "string", "label": "Email", "path": [ "payload", "data", "email" ] }, { "name": "phone", "type": "string", "label": "Phone", "path": [ "payload", "data", "phone" ] }, { "name": "industry", "type": "string", "label": "Industry", "path": [ "payload", "data", "industry" ] }, { "name": "annualRevenue", "type": "float", "label": "Annual revenue", "path": [ "payload", "data", "annualRevenue" ] }, { "name": "numberOfEmployees", "type": "float", "label": "Number of employees", "path": [ "payload", "data", "numberOfEmployees" ] }, { "name": "leadSource", "type": "string", "label": "Lead source", "path": [ "payload", "data", "leadSource" ] }, { "name": "status", "type": "string", "label": "Status", "path": [ "payload", "data", "status" ] }, { "name": "rating", "type": "string", "label": "Rating", "path": [ "payload", "data", "rating" ] }, { "name": "street", "type": "string", "label": "Street", "path": [ "payload", "data", "address", "street" ] }, { "name": "city", "type": "string", "label": "City", "path": [ "payload", "data", "address", "city" ] }, { "name": "state", "type": "string", "label": "State", "path": [ "payload", "data", "address", "state" ] }, { "name": "postalCode", "type": "string", "label": "Postal code", "path": [ "payload", "data", "address", "postalCode" ] }, { "name": "country", "type": "string", "label": "Country", "path": [ "payload", "data", "address", "country" ] }, { "name": "customField1", "type": "string", "label": "Custom field 1", "path": [ "payload", "data", "customFields", "customField1" ] }, { "name": "customField2", "type": "string", "label": "Custom field 2", "path": [ "payload", "data", "customFields", "customField2" ] } ] } ], "target": { "line_ref": "cdcea058", "provider": "salesforce", "provider_title": "Salesforce", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/salesforce-2703300aadf896c0bbcabbaec1f352a7feaa85a02c80db9f359d986ba6d732cd.svg", "step_title": "Create Lead", "connection_name": "My third Salesforce account", "full_input_schema": [ { "name": "Company", "type": "string", "label": "Company", "required": true, "mapped_in_recipe": true, "path": [ "Company" ] }, { "name": "LastName", "type": "string", "label": "Last Name", "required": true, "mapped_in_recipe": true, "path": [ "LastName" ] }, { "name": "assignment_rule_id", "type": "string", "label": "Assignment rule ID", "hint": "Leave empty to apply default assignment rules; enter special value <b>false</b> to apply no rules; or pass in specific rule ID", "required": false, "mapped_in_recipe": false, "path": [ "assignment_rule_id" ] }, { "name": "AnnualRevenue", "type": "float", "label": "Annual Revenue", "required": false, "mapped_in_recipe": false, "path": [ "AnnualRevenue" ] }, { "name": "City", "type": "string", "label": "City", "required": false, "mapped_in_recipe": false, "path": [ "City" ] }, { "name": "CleanStatus", "type": "string", "label": "Clean Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_field": { "name": "CleanStatus", "type": "string", "label": "Clean Status", "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "CompanyDunsNumber", "type": "string", "label": "Company D-U-N-S Number", "required": false, "mapped_in_recipe": false, "path": [ "CompanyDunsNumber" ] }, { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_field": { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Country", "type": "string", "label": "Country", "required": false, "mapped_in_recipe": false, "path": [ "Country" ] }, { "name": "DandbCompanyId", "type": "string", "label": "D&B Company ID", "required": false, "mapped_in_recipe": false, "path": [ "DandbCompanyId" ] }, { "name": "Jigsaw", "type": "string", "label": "Data.com Key", "required": false, "mapped_in_recipe": false, "path": [ "Jigsaw" ] }, { "name": "Description", "type": "string", "label": "Description", "required": false, "mapped_in_recipe": false, "path": [ "Description" ] }, { "name": "Email", "type": "string", "label": "Email", "required": false, "mapped_in_recipe": false, "path": [ "Email" ] }, { "name": "NumberOfEmployees", "type": "integer", "label": "Employees", "required": false, "mapped_in_recipe": false, "path": [ "NumberOfEmployees" ] }, { "name": "Fax", "type": "string", "label": "Fax", "required": false, "mapped_in_recipe": false, "path": [ "Fax" ] }, { "name": "FirstName", "type": "string", "label": "First Name", "required": false, "mapped_in_recipe": false, "path": [ "FirstName" ] }, { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_field": { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "IndividualId", "type": "string", "label": "Individual ID", "required": false, "mapped_in_recipe": false, "path": [ "IndividualId" ] }, { "name": "Industry", "type": "string", "label": "Industry", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_field": { "name": "Industry", "type": "string", "label": "Industry", "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Latitude", "type": "float", "label": "Latitude", "required": false, "mapped_in_recipe": false, "path": [ "Latitude" ] }, { "name": "LeadSource", "type": "string", "label": "Lead Source", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_field": { "name": "LeadSource", "type": "string", "label": "Lead Source", "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Longitude", "type": "float", "label": "Longitude", "required": false, "mapped_in_recipe": false, "path": [ "Longitude" ] }, { "name": "MobilePhone", "type": "string", "label": "Mobile Phone", "required": false, "mapped_in_recipe": false, "path": [ "MobilePhone" ] }, { "name": "OwnerId", "type": "string", "label": "Owner ID", "required": false, "mapped_in_recipe": false, "path": [ "OwnerId" ] }, { "name": "Phone", "type": "string", "label": "Phone", "required": false, "mapped_in_recipe": false, "path": [ "Phone" ] }, { "name": "Rating", "type": "string", "label": "Rating", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_field": { "name": "Rating", "type": "string", "label": "Rating", "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Salutation", "type": "string", "label": "Salutation", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_field": { "name": "Salutation", "type": "string", "label": "Salutation", "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "State", "type": "string", "label": "State/Province", "required": false, "mapped_in_recipe": false, "path": [ "State" ] }, { "name": "Status", "type": "string", "label": "Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_field": { "name": "Status", "type": "string", "label": "Status", "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Street", "type": "string", "label": "Street", "required": false, "mapped_in_recipe": false, "path": [ "Street" ] }, { "name": "Title", "type": "string", "label": "Title", "required": false, "mapped_in_recipe": false, "path": [ "Title" ] }, { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_field": { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Website", "type": "string", "label": "Website", "required": false, "mapped_in_recipe": false, "path": [ "Website" ] }, { "name": "PostalCode", "type": "string", "label": "Zip/Postal Code", "required": false, "mapped_in_recipe": false, "path": [ "PostalCode" ] }, { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_field": { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "CurrentGenerators__c", "type": "string", "label": "Current Generator(s)", "required": false, "mapped_in_recipe": false, "path": [ "CurrentGenerators__c" ] }, { "name": "NumberofLocations__c", "type": "float", "label": "Number of Locations", "required": false, "mapped_in_recipe": false, "path": [ "NumberofLocations__c" ] }, { "name": "Primary__c", "type": "string", "label": "Primary", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_field": { "name": "Primary__c", "type": "string", "label": "Primary", "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_field": { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "SICCode__c", "type": "string", "label": "SIC Code", "required": false, "mapped_in_recipe": true, "path": [ "SICCode__c" ] }, { "name": "Survey_Response_1__c", "type": "string", "label": "Survey Response 1", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_1__c" ] }, { "name": "Survey_Response_2__c", "type": "string", "label": "Survey Response 2", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_2__c" ] }, { "name": "Survey_Response_3__c", "type": "string", "label": "Survey Response 3", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_3__c" ] }, { "name": "my_custom_field__c", "type": "string", "label": "my_custom_field", "required": false, "mapped_in_recipe": false, "path": [ "my_custom_field__c" ] } ] }, "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "email" ], "target_path": [ "Email" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "phone" ], "target_path": [ "MobilePhone" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "static", "value": "N/A", "target_path": [ "PostalCode" ] }, { "type": "static", "value": "Hot", "target_path": [ "Rating" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] } }

フィールドマップイントロスペクションを更新(バッチ)

1つのリクエストで複数のフィールドマップスキーマのフィールドマッピングを更新します。

このエンドポイントはフィールドマップイントロスペクションを更新エンドポイントと同じですが、フィールドマップイントロスペクションIDは不要です。

shell
PUT /api/v2/managed_users/:managed_user_id/recipes/:recipe_id/field_map_introspections

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。 External IDにはE(例:EA2300)のプレフィックスを付ける必要があり、生成されたIDはURLエンコードする必要があります。
recipe_idstring
必須
レシピのID。

ペイロード

このエンドポイントは、フィールドマップイントロスペクションを更新エンドポイントと同じペイロード構造を使用します。

名前タイプ説明
field_map_schemaarray 必須フィールドマップスキーマのリスト。
field_map_schema[type]文字列 必須フィールドマップスキーマのタイプ。 入力データをターゲットフィールドにマッピングする場合はmapを使用します。 入力データを変更せず未編集のままにする必要がある場合はstaticを使用します。 特定のユースケースでフィールドをnullに設定する必要がある場合はnullifyを使用します。 フィールドに値を渡さず、現在の値を変更しない場合はskipを使用します。
field_map_schema[source_line]文字列 必須sourcesリストのline_refの値。 レシピ別にフィールドマップイントロスペクションをリストおよびフィールドマップスキーマ別にフィールドマップイントロスペクションをリストエンドポイントのレスポンスに含まれます。
field_map_schema[source_provider]文字列 必須タイプがmapの場合は必須です。 sourcesリストのproviderの値。 レシピ別にフィールドマップイントロスペクションをリストまたはフィールドマップスキーマ別にフィールドマップイントロスペクションをリストエンドポイントのレスポンスに含まれます。
field_map_schema[source_path]文字列 必須タイプがmapの場合は必須です。 マッピング用のソースフィールドのパス。 このpathは、イントロスペクションレスポンスのsources[].full_output_schema[].pathまたはtargets[].full_input_schema[].pathで定義されます。 更新ペイロードでそのpathsource_pathとして含めます。 path値はステップのスキーマに応じてネストできます。
field_map_schema[value]string 任意静的マッピング用のターゲットの値。 タイプがstaticの場合は必須です。
field_map_schema[target_path]文字列 必須ターゲットフィールドのパス。 path値はステップのスキーマに応じてネストできます。
使用可能なペイロードのバリエーション
json
{ "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] }

サンプルリクエスト

shell
curl --location --request PUT 'https://www.workato.com/api/v2/managed_users/4144204/recipes/51325710/field_map_introspections' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
-H 'Authorization: Bearer <api_token>' \
--data '{
  "field_map_schema": [
    {
      "type": "map",
      "source_provider": "workato_webhooks",
      "source_line": "df955367",
      "source_path": ["payload","data","firstName"],
      "target_path": ["FirstName"]
    }
  ]
}'

サンプルレスポンス

完全なサンプルレスポンス
json
{ "data": { "handle": "dm-ANMkcgHb-6oJ9bb", "sources": [ { "line_ref": "df955367", "provider": "workato_webhooks", "provider_title": "Webhooks", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/workato_webhooks-9ccda904e3e6216f3461e8b3b7a1b55de299de9923af2793e8a21d95f5af6a3c.svg", "step_title": "New event via webhook", "connection_name": "workato_webhooks", "full_output_schema": [ { "name": "headers", "type": "object", "label": "Headers", "path": [ "headers" ] }, { "name": "action", "type": "string", "label": "Action", "path": [ "payload", "action" ] }, { "name": "firstName", "type": "string", "label": "First name", "path": [ "payload", "data", "firstName" ] }, { "name": "lastName", "type": "string", "label": "Last name", "path": [ "payload", "data", "lastName" ] }, { "name": "company", "type": "string", "label": "Company", "path": [ "payload", "data", "company" ] }, { "name": "title", "type": "string", "label": "Title", "path": [ "payload", "data", "title" ] }, { "name": "email", "type": "string", "label": "Email", "path": [ "payload", "data", "email" ] }, { "name": "phone", "type": "string", "label": "Phone", "path": [ "payload", "data", "phone" ] }, { "name": "industry", "type": "string", "label": "Industry", "path": [ "payload", "data", "industry" ] }, { "name": "annualRevenue", "type": "float", "label": "Annual revenue", "path": [ "payload", "data", "annualRevenue" ] }, { "name": "numberOfEmployees", "type": "float", "label": "Number of employees", "path": [ "payload", "data", "numberOfEmployees" ] }, { "name": "leadSource", "type": "string", "label": "Lead source", "path": [ "payload", "data", "leadSource" ] }, { "name": "status", "type": "string", "label": "Status", "path": [ "payload", "data", "status" ] }, { "name": "rating", "type": "string", "label": "Rating", "path": [ "payload", "data", "rating" ] }, { "name": "street", "type": "string", "label": "Street", "path": [ "payload", "data", "address", "street" ] }, { "name": "city", "type": "string", "label": "City", "path": [ "payload", "data", "address", "city" ] }, { "name": "state", "type": "string", "label": "State", "path": [ "payload", "data", "address", "state" ] }, { "name": "postalCode", "type": "string", "label": "Postal code", "path": [ "payload", "data", "address", "postalCode" ] }, { "name": "country", "type": "string", "label": "Country", "path": [ "payload", "data", "address", "country" ] }, { "name": "customField1", "type": "string", "label": "Custom field 1", "path": [ "payload", "data", "customFields", "customField1" ] }, { "name": "customField2", "type": "string", "label": "Custom field 2", "path": [ "payload", "data", "customFields", "customField2" ] } ] } ], "target": { "line_ref": "cdcea058", "provider": "salesforce", "provider_title": "Salesforce", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/salesforce-2703300aadf896c0bbcabbaec1f352a7feaa85a02c80db9f359d986ba6d732cd.svg", "step_title": "Create Lead", "connection_name": "My third Salesforce account", "full_input_schema": [ { "name": "Company", "type": "string", "label": "Company", "required": true, "mapped_in_recipe": true, "path": [ "Company" ] }, { "name": "LastName", "type": "string", "label": "Last Name", "required": true, "mapped_in_recipe": true, "path": [ "LastName" ] }, { "name": "assignment_rule_id", "type": "string", "label": "Assignment rule ID", "hint": "Leave empty to apply default assignment rules; enter special value <b>false</b> to apply no rules; or pass in specific rule ID", "required": false, "mapped_in_recipe": false, "path": [ "assignment_rule_id" ] }, { "name": "AnnualRevenue", "type": "float", "label": "Annual Revenue", "required": false, "mapped_in_recipe": false, "path": [ "AnnualRevenue" ] }, { "name": "City", "type": "string", "label": "City", "required": false, "mapped_in_recipe": false, "path": [ "City" ] }, { "name": "CleanStatus", "type": "string", "label": "Clean Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_field": { "name": "CleanStatus", "type": "string", "label": "Clean Status", "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "CompanyDunsNumber", "type": "string", "label": "Company D-U-N-S Number", "required": false, "mapped_in_recipe": false, "path": [ "CompanyDunsNumber" ] }, { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_field": { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Country", "type": "string", "label": "Country", "required": false, "mapped_in_recipe": false, "path": [ "Country" ] }, { "name": "DandbCompanyId", "type": "string", "label": "D&B Company ID", "required": false, "mapped_in_recipe": false, "path": [ "DandbCompanyId" ] }, { "name": "Jigsaw", "type": "string", "label": "Data.com Key", "required": false, "mapped_in_recipe": false, "path": [ "Jigsaw" ] }, { "name": "Description", "type": "string", "label": "Description", "required": false, "mapped_in_recipe": false, "path": [ "Description" ] }, { "name": "Email", "type": "string", "label": "Email", "required": false, "mapped_in_recipe": false, "path": [ "Email" ] }, { "name": "NumberOfEmployees", "type": "integer", "label": "Employees", "required": false, "mapped_in_recipe": false, "path": [ "NumberOfEmployees" ] }, { "name": "Fax", "type": "string", "label": "Fax", "required": false, "mapped_in_recipe": false, "path": [ "Fax" ] }, { "name": "FirstName", "type": "string", "label": "First Name", "required": false, "mapped_in_recipe": false, "path": [ "FirstName" ] }, { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_field": { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "IndividualId", "type": "string", "label": "Individual ID", "required": false, "mapped_in_recipe": false, "path": [ "IndividualId" ] }, { "name": "Industry", "type": "string", "label": "Industry", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_field": { "name": "Industry", "type": "string", "label": "Industry", "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Latitude", "type": "float", "label": "Latitude", "required": false, "mapped_in_recipe": false, "path": [ "Latitude" ] }, { "name": "LeadSource", "type": "string", "label": "Lead Source", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_field": { "name": "LeadSource", "type": "string", "label": "Lead Source", "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Longitude", "type": "float", "label": "Longitude", "required": false, "mapped_in_recipe": false, "path": [ "Longitude" ] }, { "name": "MobilePhone", "type": "string", "label": "Mobile Phone", "required": false, "mapped_in_recipe": false, "path": [ "MobilePhone" ] }, { "name": "OwnerId", "type": "string", "label": "Owner ID", "required": false, "mapped_in_recipe": false, "path": [ "OwnerId" ] }, { "name": "Phone", "type": "string", "label": "Phone", "required": false, "mapped_in_recipe": false, "path": [ "Phone" ] }, { "name": "Rating", "type": "string", "label": "Rating", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_field": { "name": "Rating", "type": "string", "label": "Rating", "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Salutation", "type": "string", "label": "Salutation", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_field": { "name": "Salutation", "type": "string", "label": "Salutation", "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "State", "type": "string", "label": "State/Province", "required": false, "mapped_in_recipe": false, "path": [ "State" ] }, { "name": "Status", "type": "string", "label": "Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_field": { "name": "Status", "type": "string", "label": "Status", "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Street", "type": "string", "label": "Street", "required": false, "mapped_in_recipe": false, "path": [ "Street" ] }, { "name": "Title", "type": "string", "label": "Title", "required": false, "mapped_in_recipe": false, "path": [ "Title" ] }, { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_field": { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Website", "type": "string", "label": "Website", "required": false, "mapped_in_recipe": false, "path": [ "Website" ] }, { "name": "PostalCode", "type": "string", "label": "Zip/Postal Code", "required": false, "mapped_in_recipe": false, "path": [ "PostalCode" ] }, { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_field": { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "CurrentGenerators__c", "type": "string", "label": "Current Generator(s)", "required": false, "mapped_in_recipe": false, "path": [ "CurrentGenerators__c" ] }, { "name": "NumberofLocations__c", "type": "float", "label": "Number of Locations", "required": false, "mapped_in_recipe": false, "path": [ "NumberofLocations__c" ] }, { "name": "Primary__c", "type": "string", "label": "Primary", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_field": { "name": "Primary__c", "type": "string", "label": "Primary", "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_field": { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "SICCode__c", "type": "string", "label": "SIC Code", "required": false, "mapped_in_recipe": true, "path": [ "SICCode__c" ] }, { "name": "Survey_Response_1__c", "type": "string", "label": "Survey Response 1", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_1__c" ] }, { "name": "Survey_Response_2__c", "type": "string", "label": "Survey Response 2", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_2__c" ] }, { "name": "Survey_Response_3__c", "type": "string", "label": "Survey Response 3", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_3__c" ] }, { "name": "my_custom_field__c", "type": "string", "label": "my_custom_field", "required": false, "mapped_in_recipe": false, "path": [ "my_custom_field__c" ] } ] }, "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "email" ], "target_path": [ "Email" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "phone" ], "target_path": [ "MobilePhone" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "static", "value": "N/A", "target_path": [ "PostalCode" ] }, { "type": "static", "value": "Hot", "target_path": [ "Rating" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] } }

フィールドマップスキーマを更新

フィールドマップイントロスペクション用にレシピのスキーマを更新します。

shell
POST /api/v2/managed_users/:managed_user_id/recipes/:recipe_id/field_map_introspections/:id/refresh_schema

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。 External IDにはE(例:EA2300)のプレフィックスを付ける必要があり、生成されたIDはURLエンコードする必要があります。
recipe_idstring
必須
レシピのID。
idstring
必須
フィールドマップイントロスペクションID。

サンプルリクエスト

shell
curl --location --request POST 'https://www.workato.com/api/v2/managed_users/4144204/recipes/51325710/field_map_introspections/dm-ANMkcgHb-6oJ9bb/refresh_schema' \
--header 'Accept: */*' \
-H 'Authorization: Bearer <api_token>'

サンプルレスポンス

完全なサンプルレスポンス
json
{ "data": { "handle": "dm-ANMkcgHb-6oJ9bb", "sources": [ { "line_ref": "df955367", "provider": "workato_webhooks", "provider_title": "Webhooks", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/workato_webhooks-9ccda904e3e6216f3461e8b3b7a1b55de299de9923af2793e8a21d95f5af6a3c.svg", "step_title": "New event via webhook", "connection_name": "workato_webhooks", "full_output_schema": [ { "name": "headers", "type": "object", "label": "Headers", "path": [ "headers" ] }, { "name": "action", "type": "string", "label": "Action", "path": [ "payload", "action" ] }, { "name": "firstName", "type": "string", "label": "First name", "path": [ "payload", "data", "firstName" ] }, { "name": "lastName", "type": "string", "label": "Last name", "path": [ "payload", "data", "lastName" ] }, { "name": "company", "type": "string", "label": "Company", "path": [ "payload", "data", "company" ] }, { "name": "title", "type": "string", "label": "Title", "path": [ "payload", "data", "title" ] }, { "name": "email", "type": "string", "label": "Email", "path": [ "payload", "data", "email" ] }, { "name": "phone", "type": "string", "label": "Phone", "path": [ "payload", "data", "phone" ] }, { "name": "industry", "type": "string", "label": "Industry", "path": [ "payload", "data", "industry" ] }, { "name": "annualRevenue", "type": "float", "label": "Annual revenue", "path": [ "payload", "data", "annualRevenue" ] }, { "name": "numberOfEmployees", "type": "float", "label": "Number of employees", "path": [ "payload", "data", "numberOfEmployees" ] }, { "name": "leadSource", "type": "string", "label": "Lead source", "path": [ "payload", "data", "leadSource" ] }, { "name": "status", "type": "string", "label": "Status", "path": [ "payload", "data", "status" ] }, { "name": "rating", "type": "string", "label": "Rating", "path": [ "payload", "data", "rating" ] }, { "name": "street", "type": "string", "label": "Street", "path": [ "payload", "data", "address", "street" ] }, { "name": "city", "type": "string", "label": "City", "path": [ "payload", "data", "address", "city" ] }, { "name": "state", "type": "string", "label": "State", "path": [ "payload", "data", "address", "state" ] }, { "name": "postalCode", "type": "string", "label": "Postal code", "path": [ "payload", "data", "address", "postalCode" ] }, { "name": "country", "type": "string", "label": "Country", "path": [ "payload", "data", "address", "country" ] }, { "name": "customField1", "type": "string", "label": "Custom field 1", "path": [ "payload", "data", "customFields", "customField1" ] }, { "name": "customField2", "type": "string", "label": "Custom field 2", "path": [ "payload", "data", "customFields", "customField2" ] } ] } ], "target": { "line_ref": "cdcea058", "provider": "salesforce", "provider_title": "Salesforce", "provider_logo_uri": "https://cdn.marie.awsprod.workato.com/assets/adapters/svg/salesforce-2703300aadf896c0bbcabbaec1f352a7feaa85a02c80db9f359d986ba6d732cd.svg", "step_title": "Create Lead", "connection_name": "My third Salesforce account", "full_input_schema": [ { "name": "Company", "type": "string", "label": "Company", "required": true, "mapped_in_recipe": true, "path": [ "Company" ] }, { "name": "LastName", "type": "string", "label": "Last Name", "required": true, "mapped_in_recipe": true, "path": [ "LastName" ] }, { "name": "assignment_rule_id", "type": "string", "label": "Assignment rule ID", "hint": "Leave empty to apply default assignment rules; enter special value <b>false</b> to apply no rules; or pass in specific rule ID", "required": false, "mapped_in_recipe": false, "path": [ "assignment_rule_id" ] }, { "name": "AnnualRevenue", "type": "float", "label": "Annual Revenue", "required": false, "mapped_in_recipe": false, "path": [ "AnnualRevenue" ] }, { "name": "City", "type": "string", "label": "City", "required": false, "mapped_in_recipe": false, "path": [ "City" ] }, { "name": "CleanStatus", "type": "string", "label": "Clean Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_field": { "name": "CleanStatus", "type": "string", "label": "Clean Status", "required": false, "mapped_in_recipe": false, "path": [ "CleanStatus" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "CompanyDunsNumber", "type": "string", "label": "Company D-U-N-S Number", "required": false, "mapped_in_recipe": false, "path": [ "CompanyDunsNumber" ] }, { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_field": { "name": "IsConverted", "type": "boolean", "label": "Converted", "required": false, "mapped_in_recipe": false, "path": [ "IsConverted" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Country", "type": "string", "label": "Country", "required": false, "mapped_in_recipe": false, "path": [ "Country" ] }, { "name": "DandbCompanyId", "type": "string", "label": "D&B Company ID", "required": false, "mapped_in_recipe": false, "path": [ "DandbCompanyId" ] }, { "name": "Jigsaw", "type": "string", "label": "Data.com Key", "required": false, "mapped_in_recipe": false, "path": [ "Jigsaw" ] }, { "name": "Description", "type": "string", "label": "Description", "required": false, "mapped_in_recipe": false, "path": [ "Description" ] }, { "name": "Email", "type": "string", "label": "Email", "required": false, "mapped_in_recipe": false, "path": [ "Email" ] }, { "name": "NumberOfEmployees", "type": "integer", "label": "Employees", "required": false, "mapped_in_recipe": false, "path": [ "NumberOfEmployees" ] }, { "name": "Fax", "type": "string", "label": "Fax", "required": false, "mapped_in_recipe": false, "path": [ "Fax" ] }, { "name": "FirstName", "type": "string", "label": "First Name", "required": false, "mapped_in_recipe": false, "path": [ "FirstName" ] }, { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_field": { "name": "GeocodeAccuracy", "type": "string", "label": "Geocode Accuracy", "required": false, "mapped_in_recipe": false, "path": [ "GeocodeAccuracy" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "IndividualId", "type": "string", "label": "Individual ID", "required": false, "mapped_in_recipe": false, "path": [ "IndividualId" ] }, { "name": "Industry", "type": "string", "label": "Industry", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_field": { "name": "Industry", "type": "string", "label": "Industry", "required": false, "mapped_in_recipe": false, "path": [ "Industry" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Latitude", "type": "float", "label": "Latitude", "required": false, "mapped_in_recipe": false, "path": [ "Latitude" ] }, { "name": "LeadSource", "type": "string", "label": "Lead Source", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_field": { "name": "LeadSource", "type": "string", "label": "Lead Source", "required": false, "mapped_in_recipe": false, "path": [ "LeadSource" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Longitude", "type": "float", "label": "Longitude", "required": false, "mapped_in_recipe": false, "path": [ "Longitude" ] }, { "name": "MobilePhone", "type": "string", "label": "Mobile Phone", "required": false, "mapped_in_recipe": false, "path": [ "MobilePhone" ] }, { "name": "OwnerId", "type": "string", "label": "Owner ID", "required": false, "mapped_in_recipe": false, "path": [ "OwnerId" ] }, { "name": "Phone", "type": "string", "label": "Phone", "required": false, "mapped_in_recipe": false, "path": [ "Phone" ] }, { "name": "Rating", "type": "string", "label": "Rating", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_field": { "name": "Rating", "type": "string", "label": "Rating", "required": false, "mapped_in_recipe": false, "path": [ "Rating" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Salutation", "type": "string", "label": "Salutation", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_field": { "name": "Salutation", "type": "string", "label": "Salutation", "required": false, "mapped_in_recipe": false, "path": [ "Salutation" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "State", "type": "string", "label": "State/Province", "required": false, "mapped_in_recipe": false, "path": [ "State" ] }, { "name": "Status", "type": "string", "label": "Status", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_field": { "name": "Status", "type": "string", "label": "Status", "required": false, "mapped_in_recipe": false, "path": [ "Status" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "Street", "type": "string", "label": "Street", "required": false, "mapped_in_recipe": false, "path": [ "Street" ] }, { "name": "Title", "type": "string", "label": "Title", "required": false, "mapped_in_recipe": false, "path": [ "Title" ] }, { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_field": { "name": "IsUnreadByOwner", "type": "boolean", "label": "Unread By Owner", "required": false, "mapped_in_recipe": false, "path": [ "IsUnreadByOwner" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "Website", "type": "string", "label": "Website", "required": false, "mapped_in_recipe": false, "path": [ "Website" ] }, { "name": "PostalCode", "type": "string", "label": "Zip/Postal Code", "required": false, "mapped_in_recipe": false, "path": [ "PostalCode" ] }, { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_field": { "name": "Created_in_Reltio__c", "type": "boolean", "label": "Created in Reltio", "required": false, "mapped_in_recipe": false, "path": [ "Created_in_Reltio__c" ], "toggle_hint": "Use custom value" }, "toggle_hint": "Select from option list" }, { "name": "CurrentGenerators__c", "type": "string", "label": "Current Generator(s)", "required": false, "mapped_in_recipe": false, "path": [ "CurrentGenerators__c" ] }, { "name": "NumberofLocations__c", "type": "float", "label": "Number of Locations", "required": false, "mapped_in_recipe": false, "path": [ "NumberofLocations__c" ] }, { "name": "Primary__c", "type": "string", "label": "Primary", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_field": { "name": "Primary__c", "type": "string", "label": "Primary", "required": false, "mapped_in_recipe": false, "path": [ "Primary__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "pick_list": { "type": "dynamic", "name": "sobject_field_values_list" }, "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_field": { "name": "ProductInterest__c", "type": "string", "label": "Product Interest", "required": false, "mapped_in_recipe": false, "path": [ "ProductInterest__c" ], "toggle_hint": "Enter custom value" }, "toggle_hint": "Select from list" }, { "name": "SICCode__c", "type": "string", "label": "SIC Code", "required": false, "mapped_in_recipe": true, "path": [ "SICCode__c" ] }, { "name": "Survey_Response_1__c", "type": "string", "label": "Survey Response 1", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_1__c" ] }, { "name": "Survey_Response_2__c", "type": "string", "label": "Survey Response 2", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_2__c" ] }, { "name": "Survey_Response_3__c", "type": "string", "label": "Survey Response 3", "required": false, "mapped_in_recipe": false, "path": [ "Survey_Response_3__c" ] }, { "name": "my_custom_field__c", "type": "string", "label": "my_custom_field", "required": false, "mapped_in_recipe": false, "path": [ "my_custom_field__c" ] } ] }, "field_map_schema": [ { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "firstName" ], "target_path": [ "FirstName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "lastName" ], "target_path": [ "LastName" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "company" ], "target_path": [ "Company" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "email" ], "target_path": [ "Email" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "phone" ], "target_path": [ "MobilePhone" ] }, { "type": "map", "source_line": "df955367", "source_path": [ "payload", "data", "industry" ], "target_path": [ "Industry" ] }, { "type": "static", "value": "N/A", "target_path": [ "City" ] }, { "type": "static", "value": "N/A", "target_path": [ "PostalCode" ] }, { "type": "static", "value": "Hot", "target_path": [ "Rating" ] }, { "type": "nullify", "target_path": [ "AnnualRevenue" ] }, { "type": "skip", "target_path": [ "assignment_rule_id" ] }, { "type": "static", "value": "ABC", "target_path": [ "SICCode__c" ] } ] } }

フィールドマップイントロスペクションのピックリスト値を取得

shell
POST /api/v2/managed_users/:managed_user_id/recipes/:recipe_id/field_map_introspections/:id/pick_list

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。 External IDにはE(例:EA2300)のプレフィックスを付ける必要があり、生成されたIDはURLエンコードする必要があります。
recipe_idstring
必須
レシピのID。
idstring
必須
フィールドマップイントロスペクションID。

ペイロード

名前タイプ説明
pick_list_patharray
必須
ピックリストフィールドのパス。
field_map_schemaarray
必須
フィールドマップスキーマのリスト。 ピックリスト依存の値を選択している場合は、ピックリストのレンダリング時点で設定したすべてのマッピングを含める必要があります。
field_map_schema[type]string
必須
値はmapstaticnullify、またはskipにできます。
field_map_schema[source_provider]string
任意
マッピング用のソースプロバイダー。 タイプがmapの場合は必須です。
field_map_schema[source_path]string
任意
マッピング用のソースフィールドのパス。 タイプがmapの場合は必須です。
field_map_schema[value]string
任意
静的マッピング用のターゲットの値。 タイプがstaticの場合は必須です。
field_map_schema[target_path]string
必須
ターゲットフィールドのパス。

サンプルリクエスト

shell
curl --location 'https://www.workato.com/api/v2/managed_users/4144204/recipes/53959368/field_map_introspections/dm-AP4tbdgP-dQ6zbH/pick_list' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "pick_list_path": [ "CleanStatus" ], "field_map_schema": [{ "type": "map", "source_line": "timer", "source_path": ["time"], "target_path": ["message"] }] }'

サンプルレスポンス

レスポンスはピックリストフィールドマッピングの配列を返します。 各内部配列には2つの要素が含まれます。最初の要素はピックリストフィールド名、2番目の要素はピックリストフィールドIDです。

json
{  data: [ ["foo", "bar"], ["foo1", "bar1"] ] }

Last updated: